%% SatNOGS COMMS System Design Document - Requirements
%% Copyright (C) 2020-2021, 2023 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

\newcommand{\tcurl}[1]{\href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-verification/-/issues/#1}}
\newcommand{\tc}[1]{\tcurl{#1}{TC-\ifnum#1<100 0\fi\ifnum#1<10 0\fi#1}}
\newcommand{\tcshort}[1]{\tcurl{#1}{-\ifnum#1<100 0\fi\ifnum#1<10 0\fi#1}}
\newcommand{\tccomprec}[2]{\tcshort{#1} & \makecell{%
    \ifcsname r@tc:#1\endcsname\else
    \ifcsname r@tc:#1a\endcsname\else
    \ifcsname r@tc:#1b\endcsname\else
    \ifcsname r@tc:#1c\endcsname\else
    \ifcsname r@tc:#1d\endcsname\else
    \ifcsname r@tc:#1e\endcsname\else
    \ifcsname r@tc:#1f\endcsname\else
    \ifcsname r@tc:#1g\endcsname\else
    \ifcsname r@tc:#1h\endcsname\else
    \ifcsname r@tc:#1i\endcsname\else
    \ifcsname r@tc:#1j\endcsname\else
    ---
    \fi\fi\fi\fi\fi\fi\fi\fi\fi\fi\fi
    \ifcsname r@tc:#1\endcsname\ref{tc:#1} \\\fi
    \ifcsname r@tc:#1a\endcsname\ref{tc:#1a} \\\fi
    \ifcsname r@tc:#1b\endcsname\ref{tc:#1b} \\\fi
    \ifcsname r@tc:#1c\endcsname\ref{tc:#1c} \\\fi
    \ifcsname r@tc:#1d\endcsname\ref{tc:#1d} \\\fi
    \ifcsname r@tc:#1e\endcsname\ref{tc:#1e} \\\fi
    \ifcsname r@tc:#1f\endcsname\ref{tc:#1f} \\\fi
    \ifcsname r@tc:#1g\endcsname\ref{tc:#1g} \\\fi
    \ifcsname r@tc:#1h\endcsname\ref{tc:#1h} \\\fi
    \ifcsname r@tc:#1i\endcsname\ref{tc:#1i} \\\fi
    \ifcsname r@tc:#1j\endcsname\ref{tc:#1j} \\\fi
  }%
  & \makecell{#2}}
  